explain_utimes_or_die(3)

NAME
explain_utimes_or_die - change file access and modify times and report errors
    "change file last access and modification times and report errors"

SYNOPSIS
#include <libexplain/utimes.h>

void explain_utimes_or_die(const char *pathname, const struct timeval *data);
int explain_utimes_on_error(const char *pathname, const struct timeval *data);

DESCRIPTION
The explain_utimes_or_die function is used to call the utimes(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_utimes(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_utimes_on_error function is used to call the utimes(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_utimes(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the utimes(2) system call.

data
    The data, exactly as to be passed to the utimes(2) system call.

RETURN VALUE
The explain_utimes_or_die function only returns on success, see utimes(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_utimes_on_error function always returns the value return by the wrapped utimes(2) system call.

EXAMPLE
The explain_utimes_or_die function is intended to be used in a fashion similar to the following example:
    explain_utimes_or_die(pathname, data);

SEE ALSO

utimes(2)
    change file last access and modification times

explain_utimes(3)
    explain utimes(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller